<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');

$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
//$idDoc=$sessao->getVar('transfere');
$idDoc=1*$_GET["opcaoManual"];  //serve para imprmir em sequencia vairos informes
//$idDoc=$sessao->getVar('idDoc');
$viasMescladas=$sessao->getVar('controle7');
$cliente=strtoupper($sessao->getVar('cliente'));
if(substr(strtoupper($cliente),0,8)=='DIMICRON')$cliente="DIMICRON";//este casuismo é necessario pois a ricetec é RiceTec......
$digital=$sessao->getVar('digital');
$objetoCalculoGerminacaoFichaPadrao = new calculoGerminacaoFichaPadrao(); //calcula todos valores finais
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais


/*
//VAI ACESSAR A CLASSE E PREPARA O NOME DO ARQUIVO
if($digital=='SIM'):
	$objetoEncriptar=new encriptar();
	$amostraEncriptada=$objetoEncriptar->certificado($idDoc);
endif;
$sessao->setVar('digital',"xxx");//precisa limpar a sessao senao mesmo que nao marcar a sessao continua com valor=SIM
*/




//echo("1xxxxxxxxxxxxxxidDocumento= $idDoc<br>");

$nomeOperador=$sessao->getVar('nomeuser');
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
		
			 $pdf->AliasNbPages();
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 //$maximoLAdobe=297;//isso para horizontal
			 //$maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=15;
		     $margemEsquerda=15;
			 $margem=$margemEsquerda;
			 $margemDireita=$maximoLAdobe-11;
			 $larguraUtil=$maximoLAdobe-31;//era 16
 	 		 $futer=$maximoHAdobe-10;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
			 $larguraDaLinha=4;
	 //AQUI COMECA PARTE DO BOLETIM 2013
 
     //PARAMETROS GERAIS
     //altura util=210  largura util=297(dados do adobe)
	  if($viasMescladas<1)$viasMescladas=1;
      for($mescladas=1;$mescladas<=$viasMescladas;$mescladas++):	 	
	 
	 
	 
     $pdf->AddPage();//adicionando a primera pafina 
	                $vetorNormas=$objetocalculo->capturaNormas("Informe","DIMICRON",$idLabo);
					$posicaoNorma=154;
				
					//$pdf->SetFont('Times','',8);
					//$pdf->setXY($posicaoNorma,10);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[1]),0,0);
					//$pdf->setXY($posicaoNorma,14);  $pdf->Cell(40,4,utf8_decode("Emissão:".$vetorNormas[2]),0,0);
					//$pdf->setXY($posicaoNorma,18);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[3]),0,0);
  

	 //largura de uma margem a outra = 281  se eu imprimo algo esta soma nao pode ultrapassar este valor
	 $cinza=220;
	 $pdf->SetFillColor($cinza,$cinza,$cinza);
	 $grosso=0.7;
	 $medio=0.4;
	 $fino=0.3;
	 $extraFino=0.2;
	 //ESTAS COTAS SAO AS COTRAS DAS LINHAS HORINTAIS GROSSAS QUE SERVEM DE ORIGEM PARA O QUE VEM A SEGUIR
	 $cota1=10;//inicio de tudo
	 $cota1a=35;//final do cabecalho
	 $cota2=38;

	 $cota4=92;
	 //$cota5=145;
	 //$cota6=149;
	 //$cota7=157; //estas duas cotas sao definidas aqui memsmo
     $cota8=200;  //usara 195 se for colocar o rodape na munheca, mas pode usar a funcao footer que da mais 5 milimetros
	 //LINHAS LATERAIS DO  cabecalho
	 $pdf->SetLineWidth($grosso);
	 $pdf->Rect($margemEsquerda,$cota1,$larguraUtil,25);
	
     ####################################CABECALHO################################################
     $vetorCabecalho=$objetocalculo->dadoslaboratorio();
	 //$pdf->Cell(30,10,'Angela',1,0,'C'); 30=largura  10=altura   angela=texto   1=com borda    0=quebra de linhya a direita      Centralizado(L,C,R) SINTAXE.....
	 $posicaoCab1=70;$posicaoCab2=245;
	 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
	 //echo("caminhofinal=$caminhoFinal<br>");
	 $pdf->Image($caminhoFinal,$margemEsquerda+1,11,48,23,'JPG');
	 //o/a didentificacao do lab
	 $pdf->SetFont('Times','B',9);

	 $largCab=94;
	 $pdf->setXY($posicaoCab1,$cota1);
	 $pdf->Cell($largCab,5,utf8_decode($vetorCabecalho[0]),0,1,'C');//lab nome
	 $pdf->setXY($posicaoCab1,$cota1+5);
	 $pdf->Cell($largCab,5,utf8_decode($vetorCabecalho[1]),0,1,'C');
	 $pdf->setXY($posicaoCab1,$cota1+10);
	 $pdf->Cell($largCab,5,utf8_decode($vetorCabecalho[2]),0,1,'C');
	 $pdf->setXY($posicaoCab1,$cota1+15);
	 $pdf->Cell($largCab,5,utf8_decode($vetorCabecalho[3]),0,1,'C');
     $pdf->setXY($posicaoCab1,$cota1+20);
	 $pdf->Cell($largCab,5,utf8_decode($vetorCabecalho[4]),0,1,'C');
	 //aqui cria o vetor que todos documentos vao ter em comum(nume documento, daos do remetente, da especie/cultivar, data documento etc)
     $vetorDadosDocumento=$objetocalculo->dados_gerais_documento($idDoc);
	 $pdf->SetLineWidth($medio);
	 $pdf->SetFont('Times','',10);
	 $pdf->setXY($margemEsquerda,$cota2);
 
	 $texto=number_format($vetorDadosDocumento[1]/1000,3,'','');;//NUMERO DO INFORME
	 $texto1=$vetorDadosDocumento[4];//ANO DO INFORME
	 //$texto1="  de  ".date("d/m/y",strtotime($texto1));
	 $texto1="/".date("y",strtotime($texto1));
	 $pdf->Cell($larguraUtil,5,utf8_decode('INFORMAÇÃO DE RESULTADO Nº ') .$texto.$texto1,1,1,'C',1);

	 $pdf->SetFont('Times','',10);
     
	 //primeira linha 
	 $pdf->setXY($margem,$cota2+10);
     $constanteDeAumento=3;
     $especieComum=trim($vetorDadosDocumento[2]);
     $especieCientifica="(".$vetorDadosDocumento[13].")";
     $cultivar=$vetorDadosDocumento[3];
     $tama1=$constanteDeAumento*strlen($especieComum);
     $tama2=$constanteDeAumento*strlen($especieCientifica);
     $pdf->Cell(35,$larguraDaLinha,utf8_decode('Resultado de análise de:') ,0,0,'L');
	 //imprime o nome ccomum
     //$pdf->Cell($tama1*$contanteDeAumento,$larguraDaLinha,utf8_decode($especieComum).$tama2 ,0,0,'L');
     $pdf->Cell($tama1,$larguraDaLinha,utf8_decode($especieComum) ,0,0,'L');
	 //imprime o nome cientifico
     $pdf->SetFont('Times','I',10);
     $pdf->Cell($tama2,$larguraDaLinha,utf8_decode($especieCientifica) ,0,0,'L');

     //segunda linha
	 $pdf->setXY($margem,$cota2+14);
	 //imprime a cultivar
     $pdf->SetFont('Times','',10);
     $pdf->Cell(100,$larguraDaLinha,"Cultivar: " . utf8_decode($cultivar) ,0,0,'L');

	 //terceira linha 
	 $pdf->setXY($margem,$cota2+18);
     $pdf->Cell(100,$larguraDaLinha,'Requerente:  '.utf8_decode($vetorDadosDocumento[0]) ,0,1,'L');

	 //quarta linha
	 $pdf->setXY($margem,$cota2+22);
     $pdf->Cell(100,$larguraDaLinha,utf8_decode('Município/UF:  '.$vetorDadosDocumento[35]) ,0,1,'L');
	 $data=$pdf->vetorFicha[6];
	 $dia=substr($data,8,2);
	 $mes=substr($data,5,2);
	 $ano=substr($data,0,4);//ano   1951-02-28
	 $dataFinal=$dia."/".$mes."/".$ano;

	 //quinta linhas
	 $pdf->setXY($margem,$cota2+26);
     $pdf->Cell(93,$larguraDaLinha,'Data do recebimento da amostra:'.$vetorDadosDocumento[12],0,1,'L');







		 //IMPRIME A LEGENDA PROIBIDA COMERCIALIZACAO
         $pdf->SetFont('Times','BI',10);
		 $pdf->setXY(60,$cota2+36.5);
	         $pdf->Cell(100,9,' ',1,0,'C',1);//MOLDURA HACHURRIADA
		 $pdf->setXY(61,$cota2+37);
	         $pdf->Cell(95,4,utf8_decode('PROIBIDA A COMERCIALIZAÇÃO'),0,0,'C',1);
		 $pdf->setXY(61,$cota2+41);
	     $dataHojeAmericana=date('Y-m-d');
		 $d1=strtotime($dataHojeAmericana);//data do dia atual converida para formato aericaoconverte em segundos
         $d2=strtotime('2021-03-21');//data limite para novo modelo
         if($d1>=$d2):
	        $pdf->Cell(95,4,utf8_decode('Art. 76,§1º e §2º, do Decreto 10.586, de 18.12.2020'),0,0,'C',1);//novo
         else:
	        $pdf->Cell(95,4,utf8_decode('Art. 76,§1º e §2º, do Decreto 10.586, de 18.12.2020'),0,0,'C',1);//antigo
		 endif; 		  
	
	 ############RESULTADO DE ANALISE########################
 	 #################vai capturar os resultados e jogar na matriz##########################################
	//aqui vou preparar o vetor de resultados/amostras
	//captura o numero de registros e as id das amostras atraves da leitura da tabela documentosponte amarrada com a id do documento
	//ENTRA DE QUAKQUER MANEIRA
	//echo("3xxxxxxxxxxxxxxidDocumento= $idDoc<br>");

	$generica=new tabelagenerica();
	$generica->tabela="documentosponte";
	$generica->campos_valores = array(
			"dpo_amostra_vinculada" => NULL,
		);
	$generica->extras_select =" where  dpo_documento_autonumerador=".$idDoc." order by dpo_amostra_vinculada LIMIT 1";
	//echo("eeeeexxxxxxxxxxxxxxxxxxxxxxxxxxeeeeeeerro $generica->extras_select <br>");
	$generica->selecionaCampos($generica);
	$contaAmostras=0;
	while ($resgenerica = $generica->retornaDados()):
	    $contaAmostras++;
		//$vetorDPO[$contaAmostras]=$resgenerica->dpo_amostra_vinculada;
		$amostraLong=$resgenerica->dpo_amostra_vinculada;
		$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);

		$vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);
		//aqui temos um abacaxi para resolver
		//se a pessoa joga uma amostra de previa FNALIDADE=PREVIA a amostra vai ter numero na previa
		//mas se o laboratorio for convencional e tiver uma so listagem este campo nao sera usado e viaria zero ali
		//entao eu acho que no iforme deveria fazer um teste: se o numero previa for zero ele imprime o numero definitiva
		
		
		
		$numeroAmostra=$vetorAmostraBruto[25];
		if($numeroAmostra==0)$numeroAmostra=$vetorAmostraBruto[1];
		$vetorResultados[1][$contaAmostras]=$numeroAmostra."/". $numeroAmostra."  am=". substr($vetorAmostraBruto[36]."  long =".$amostraLong."  iddoc =".$idDoc,2,2) ;//amostra
		
		
		//$numeroAmostra=$vetorRaioX[1].$amostraLong;
		$vetorResultados[1][$contaAmostras]=$numeroAmostra."/". substr( $vetorAmostraBruto[36],0,4) ;//amostra
		
		
		$vetorResultados[2][$contaAmostras]=$vetorAmostraBruto[4];//pureza
		$valorDaPureza=$vetorResultados[2][$contaAmostras];//captura o valor que aparece na pureza
		$vetorResultados[3][$contaAmostras]=$vetorAmostraBruto[17];//mat.inerte
		
		$vetorResultados[4][$contaAmostras]=$vetorAmostraBruto[18];//outras esp
        //aqui deve verificar se fez dosn ou se nao fez(estava usando 20)
        $a=$vetorAmostraBruto[7];//somaoe
        $b=$vetorAmostraBruto[8];//somasi
        $c=$vetorAmostraBruto[9];//somato
        $d=$vetorAmostraBruto[10];//somapr
		//$vetorResultados[5][$contaAmostras]=$a+$b+$c+$d;		
		//$vetorResultados[5][$contaAmostras]=44;		
		
		
		
		//se tem -N- em tudo ele coloca -n-
		 //TESTES A REALIZAR
		 $testesConcatenados=$vetorRaioX[47];
         $vetorFinal=$objetoCalculoGerminacaoFichaPadrao->marcouTestesRealizar($testesConcatenados);
 		 $assinalouGER=$vetorFinal[2];
		 $assinalouPUR=$vetorFinal[1];
		 $assinalouPMS=$vetorFinal[3];
		 $assinalouEAC=$vetorFinal[5];
		 $assinalouTZO=$vetorFinal[4];
		 $assinalouDOS=$vetorFinal[7];
		 $assinalouTZF=$vetorFinal[6];
		 $assinalouFRI=$vetorFinal[15];

		
		
		
        $valorSoma=$vetorAmostraBruto[7]+$vetorAmostraBruto[8]+$vetorAmostraBruto[9]+$vetorAmostraBruto[10]+$vetorAmostraBruto[106];
        if($a =='-N-' && $b =='-N-' && $c =='-N-' && $d =='-N-'):
		   $vetorResultados[5][$contaAmostras]='-N-';
		else:
		   if($cliente=='TRISOLO')$assinalouPUR='SIM';
		   if($assinalouPUR=='SIM'):
 		      $vetorResultados[5][$contaAmostras]=$valorSoma.'/'.$vetorAmostraBruto[93].'g';	//dosn	
		   else:
 		      $vetorResultados[5][$contaAmostras]='-N-';//dosn	
		   endif;
		endif;

        
	
	  //$vetorResultados[6][$contaAmostras]=$vetorAmostraBruto[3];//germinacao
		$vetorResultados[6][$contaAmostras]=$vetorRaioX[14];

        //joja -N- se nao esta marcado o teste revisao 240720
		if($assinalouGER!='SIM')$vetorResultados[6][$contaAmostras]="-N-";
		
		
		if($assinalouPUR=='NAO'):
		    $vetorResultados[2][$contaAmostras]="-N-";
		    $vetorResultados[3][$contaAmostras]="-N-";
		    $vetorResultados[4][$contaAmostras]="-N-";
		endif;
		



		//calcula pms no corpo do laudo
        //$valorCapturadoPMS=$objetocalculo->captura_OD_Especifica($amostraLong,'PMS');
        //if($valorCapturadoPMS=='-N-'):
        //   $valorPMS="-N-";		
		//else:
        //   $valorPMS=$valorCapturadoPMS.'g';		
		//endif;
		//$vetorResultados[7][$contaAmostras]=$valorPMS;
		
		//vai capturar o valor de v2 onde esta a viabilidade no corpo do laudo
		
		
		
		/*
		
        $valorCapturadoTZO= $objetocalculo->captura_OD_Especifica($amostraLong,'TZO');       
		if($valorCapturadoTZO !='-N-'):
			///se o cliente é tabajara ou se é rio grande do sul entao preeenche com -O-///////
		    $sessao=new sessao();
			$generica=new tabelagenerica();
			$generica->tabela="rean1";
			$generica->campos_valores = array(
					"rea_v1" => NULL,
					"rea_v2" => NULL,
					"rea_campo20a" => NULL,
					"rea_validade" => NULL,
				);
			$generica->extras_select =" where rea_teste='TZO' &&  rea_ficha=".$amostraLong;
		    $generica->selecionaCampos($generica);
			while ($resgenerica = $generica->retornaDados()):
				$valorTZForrageira=$resgenerica->rea_v1 ."%";
				$valor=$resgenerica->rea_v2 ."%";
				$temperatura=$resgenerica->rea_campo20a;
				$concentracao=$resgenerica->rea_validade;
				$verificaForrageira=$resgenerica->rea_v2;
                if($verificaForrageira=='FORR'):
				   $valor=$valorTZForrageira;
				endif;  

		//tzo
		$fezTetrazolio='NAO';
	    if($objetocalculo->captura_OD_Especifica($amostraLong,'TZO')!='-N-'):
		    $fezTetrazolio='SIM'; 
            if($verificaForrageira!='FORR'):
	            $linhasOutrasDeterminacoes++;
		        $vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Vigor por tetrazólio:'.$objetocalculo->captura_OD_Especifica($amostraLong,'TZO').'%';
			else:
	            //$linhasOutrasDeterminacoes++;
		        //$vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Teste tetrazólio forrageira:'.$objetocalculo->captura_OD_Especifica($amostraLong,'TZO').'%'. '  Concentração:' .$concentracao.'  Temperatura:'.$temperatura;
			endif;	
				
        endif;

				
				
				
				
				
				
				 
		    endwhile;
		    $vetorResultados[8][$contaAmostras]=$valor;
        else:    
		    $vetorResultados[8][$contaAmostras]='-N-';
		endif;	
   */

        $valorCapturadoDTU=$objetocalculo->captura_OD_Especifica($amostraLong,'DTU');
        //if($valorCapturadoPMS=='-N-'):
        //   $valorPMS="-N-";		
		//else:
        //   $valorPMS=$valorCapturadoPMS.'g';		
		//endif;
		if($valorCapturadoDTU=='')$valorCapturadoDTU='-N-';
		//str_replace(",",".",$atglido)
		//o que for -o- troca por -n-
		$vetorResultados[7][$contaAmostras]=str_replace("-O-","-N-",$valorCapturadoDTU);
		





		//$vetorResultados[9][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'EAC');
//AQUI É SO PARA PRRENCHER O CAMPO VIABILIDADE DENTRO DA TABELA		
	    $vetorResultados[8][$contaAmostras]="-N-";
		if($assinalouTZO=="SIM"):
			 //$matrizResumo=$objetocalculo->resumoTetrazolioCalculado($amostraLong);
	         //$viab=$matrizResumo[10];
	         //$vetorResultados[8][$contaAmostras]=$viab;
		endif;

		if($assinalouTZF=="SIM"):
		     //$assinalouTZO='NAO';
	         //$viab=$vetorRaioX[11];//pega o mesmo valor de tzo  mas direciona para a local cetro e nao cria a legenda embaixo 
	         //$vetorResultados[8][$contaAmostras]=$viab;
		endif;
		
		$temTzForrageira='NAO';
		if($assinalouTZO=="SIM"  || $assinalouTZF=="SIM"):
		  if($especieComum=='SOJA'  || substr($especieComum,0,6)=='Crotal'  || substr($especieComum,0,3)=='FEI' || substr($especieComum,0,7)=='AMENDOI'):
			 $matrizResumo=$objetocalculo->resumoTetrazolioCalculado($amostraLong);
	         $viab=$matrizResumo[10];
	         $vetorResultados[8][$contaAmostras]=$viab;
		  else:
	         $viabForrageira=$vetorRaioX[234];//pega o mesmo valor de tzo  mas direciona para a local cetro e nao cria a legenda embaixo 
	         $vigorForrageira=$vetorRaioX[279];//pega vigor forrageira dimicron 170321
	         $vetorResultados[8][$contaAmostras]=$viabForrageira ; //'  Vigor='.$vigorForrageira;
		     $temTzForrageira='SIM';
		  endif;
		endif;//testa se marcaou tetrazolio
		//emergencia em canteiro 420   33
		//$vetorResultados[9][$contaAmostras]="t1".$vetorRaioX[169]."t2".$vetorRaioX[231]."t3".$vetorRaioX[300]."t4".$vetorRaioX[310];
		//$vetorResultados[9][$contaAmostras]=$vetorRaioX[309]."%";//emergenvia canteiro       [310] é vigor
        //AQUI VAI FAZER ELE PEGAR O SEGUNDO TESTE DE AREIA DESDE QUE QUE TENHA SIDO FEITO  UDI140225
        //$areia=$objetocalculo->captura_OD_Especifica($amostraLong,'ARE');
	 if($cliente=='TRISOLO'):
		//$areia=$vetorRaioX[300];//ESTE AQUI AGLUTINA O V3 E V1

		//if($vetorRaioX[338]>0)$areia=$vetorRaioX[338]."/".$vetorRaioX[339];
		$areia=$vetorRaioX[339]."%";//PRIMEIRO TESTE
		if($vetorRaioX[338]>0)$areia=$vetorRaioX[338] ."%";//SEGUNDO TESTE
	   //$areia="90/86";
	   //$areia=$cliente;
	   //$areia=$objetocalculo->captura_OD_Especifica($amostraLong,'CANT');
	   //$pdf->Cell($vetorLargura[15],5,$areia,1,0,'C');//areia/canteiro
       //$vetorResultados[9][$contaAmostras]="9=".$vetorRaioX[309]."10=".$vetorRaioX[310]."38=".$vetorRaioX[338]."39=".$vetorRaioX[339];//
       $vetorResultados[9][$contaAmostras]=$areia; // "9=".$vetorRaioX[309]."10=".$vetorRaioX[310]."38=".$vetorRaioX[338]."39=".$vetorRaioX[339];//
	endif;
	 //$areia=$cliente;
	 //$pdf->Cell($vetorLargura[15],5,$areia,1,0,'C');//areia/canteiro
     //$pdf->Cell($vetorLargura[15],5,"areia",1,0,'C');//areia/canteiro
	 





		$vetorResultados[10][$contaAmostras]=$vetorRaioX[13];//pms
		
		
		
		
        //$vetorResultados[8][$contaAmostras]=$assinalouTZF.$viab;//linha so para testar
      
        //aqui cria as observacoes com as outras determincaoes
	    $linhasOutrasDeterminacoes=0;
        $vetorOutrasDeteminacoes="";
        //captura pms que para dimicron é pmg
		if($assinalouPMS=='SIM'):
		    if($objetocalculo->captura_OD_Especifica($amostraLong,'PMS')!='-N-'):
		        $linhasOutrasDeterminacoes++;
	            //$vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Peso de mil sementes:'.$objetocalculo->captura_OD_Especifica($amostraLong,'PMS');

				$vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Peso de mil grãos:'.$objetocalculo->captura_OD_Especifica($amostraLong,'PMS')."g";

	        endif;
        endif;

		//vigor eac
      if($assinalouEAC=="SIM"):		
	    if($objetocalculo->captura_OD_Especifica($amostraLong,'EAC')!='-N-'):
	       $linhasOutrasDeterminacoes++;
		   $especie=trim($vetorDadosDocumento[2]);
           //aqui entra tabela da dimicron		   
	       $periodo='(42 ºC 72h)';//periodo deful
           //if($especie=="SOJA")$periodo='(41ºC 24h)';
           //if($especie=="SOJA")$periodo='(41ºC 48h)';
           if($especie=="SOJA")$periodo='(41ºC 24h)';
           if($especie=="ALGODÃO")$periodo='(42ºC 60h)';
           if($especie=="MILHO DE PIPOCA")$periodo='(42ºC 96h)';
           if($especie=="MILHO")$periodo='(42ºC 96h)';
           if($especie=="FEIJÃO")$periodo='(42ºC 72h)';
           if($especie=="CAPIM COLONIÃO")$periodo='(42ºC 36h)';
           if($especie=="MILHETO")$periodo='(42ºC 72h)';
           if($especie=="ARROZ")$periodo='(42ºC 120h)';
           if($especie=="AZEVÉM")$periodo='(42ºC 72h)';
           if($especie=="AVEIA PRETA")$periodo='(42ºC 72h)';
           if($especie=="AVEIA BRANCA")$periodo='(42ºC 72h)';
           if($especie=="TRIGO")$periodo='(42ºC 72h)';
           if($especie=="TRITICALE")$periodo='(42ºC 72h)';
           if($especie=="TREVO")$periodo='(42ºC 72h)';
           if($especie=="NABO FORRAGEIRO")$periodo='(42ºC 72h)';
           if($especie=="SORGO")$periodo='(42ºC 72h)';
           if($especie=="BRAQUIARIA")$periodo='(43ºC 48h)';
		   $periodo= $vetorRaioX[74];
           //$periodo=$especie;
           $vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Vigor por Envelhecimento Acelerado  '.$periodo. "   ". $objetocalculo->captura_OD_Especifica($amostraLong,'EAC')."%"; 
		   //$vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Vigor por Envelhecimento Acelerado'.$periodo. $objetocalculo->captura_OD_Especifica($amostraLong,'EAC')."%"; 
		  
		 endif;
       endif;//PERGUNTA SE MARCOU EAC

//////////////FRIO/////////////////////
      if($assinalouFRI=="SIM"):		
	    if($objetocalculo->captura_OD_Especifica($amostraLong,'FRI')!='-N-'):
	       $linhasOutrasDeterminacoes++;
           //$periodo=$especie;
           $vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Teste de frio:'. $objetocalculo->captura_OD_Especifica($amostraLong,'FRI')."%"; 
		 endif;
       endif;//PERGUNTA SE MARCOU EAC


//////FIM DO FRIO////////////////




		/*/areia
	    if($objetocalculo->captura_OD_Especifica($amostraLong,'ARE')!='-N-'):
	        $linhasOutrasDeterminacoes++;
           // $vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Vigor por envelhecimento acelerado(48h -41ºC):'.$objetocalculo->captura_OD_Especifica($amostraLong,'EAC')."%";
           $vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Teste em areia: '.$objetocalculo->captura_OD_Especifica($amostraLong,'ARE')."%";
        endif;
		//frio
	    if($objetocalculo->captura_OD_Especifica($amostraLong,'FRI')!='-N-'):
	        $linhasOutrasDeterminacoes++;
           // $vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Vigor por envelhecimento acelerado(48h -41ºC):'.$objetocalculo->captura_OD_Especifica($amostraLong,'EAC')."%";
           $vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Teste de Frio: '.$objetocalculo->captura_OD_Especifica($amostraLong,'FRI')."%";
        endif;
        */
	

//TETRAZOLIO aqui coloca outros valores de tz

       if($assinalouTZO=='SIM'):
	   	  $matrizResumo=$objetocalculo->resumoTetrazolioCalculado($amostraLong);
///////////////////
   
          if($especieComum=='SOJA'  || substr($especieComum,0,3)=='FEI' || substr($especieComum,0,7)=='AMENDOI'):
	        $linhasOutrasDeterminacoes++;
	        $viab=$matrizResumo[10];
	        $vigor=$matrizResumo[11];
			$vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Vigor por Tetrazólio:'.$vigor.'%'; 
///////////////////

			$linhasOutrasDeterminacoes++;
	        $vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Dano Mecanico(1-8)='.$matrizResumo[1].'%   Dano Mecanico(6-8)='.$matrizResumo[3].'%';
			$linhasOutrasDeterminacoes++;
	        $vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Dano Umidade(1-8)='.$matrizResumo[4].'%   Dano Umidade(6-8)='.$matrizResumo[6].'%';
			$linhasOutrasDeterminacoes++;
	        $vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Dano Percevejo(1-8)='.$matrizResumo[7].'%   Dano Percevejo(6-8)='.$matrizResumo[9].'%';
			$linhasOutrasDeterminacoes++;
	        $vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Duras='.$matrizResumo[12].'%   Sementes esverdeadas='.$matrizResumo[14].'%';
		  endif;//TESTA SE É SOJA OU FEIJAO
       endif;// TESTA SE ASSINALIU TZ
	  if($temTzForrageira=='SIM'):
          $linhasOutrasDeterminacoes++;
          $vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]="Vigor por Tetrazólio:" .$vigorForrageira."%";
      endif;	   
	   
	   
       //$vetorOutrasDeteminacoes[$linhasOutrasDeterminacoes]='Duras='.$matrizResumo[12].'%   Anomalia embrionária='.$matrizResumo[14].'%'.$assinalouTZO.$especieComum;
	   
	   
	endwhile;//fecha o whule que percorre todas amostras
	
	//.'%    Viabilidade:'.$viab.
	
	
	

	
	//echo("4xxxxxxxxxxxxxxidDocumento= $idDoc  contaAmostras =$contaAmostras $vetorDPO[1]<br>");
    //vai pegar os dados da amopstra la na classe calculo pois ja tem a id da amostra
	$vetorResultados[1][0]="Nº da Amostra";
	$vetorResultados[2][0]="Sementes Puras(%)";
	$vetorResultados[3][0]="Material Inerte(%)";
	$vetorResultados[4][0]="Outras Sementes(%)";
	$vetorResultados[5][0]="Determinação de outras Sementes por número";
	$vetorResultados[6][0]="Germinação(%)";
    $vetorResultados[7][0]="Umidade(%)";
    $vetorResultados[8][0]="Viabilidade por Tetrazólio(%)";
    $vetorResultados[9][0]="Emergência em canteiro(%)";
    $vetorResultados[10][0]="Peso de mil sementes(g)";
		
	//$vetorResultados[9][0]="Outra Determinação(Env.Acelerado)";
 
	 //definir a subcotas logo apos a legenda comentada, para ser facil de achar e regurar a calibração
     /////////////////AQUI IMPRIME O CORPO/////////////////////
	 $cota3=88;
	 $pdf->setXY(61,$cota3);
	 $pdf->SetFont('Times','B',10);
     $pdf->Cell(100,$larguraDaLinha,utf8_decode('RESULTADO DA ANÁLISE') ,0,1,'C');	


	 //resultaso sao impressoas a partr da cota 3

	 $cotaLinha=$cota3;//define o começo da impressao de resultados , apenas para naoa ficar em cima da  linha divisoria muito grossa
	 $alturaLinhaResultados=7;//define a largura das linhas de resultados

     for($L=1;$L<=10;$L++):
	     $pdf->SetFont('Times','',8);
         $hachuriado=0;
	     if($L==1):
		    $hachuriado=1;
		    $pdf->SetFont('Times','B',12);
		 endif;	
		 $cotaLinha+=$alturaLinhaResultados;
	     $pdf->setXY($margem,$cotaLinha);
	     $alinhamento="L";
		 //aqui era ate 4 e eu coloquei ate 1
    	 for($i=0;$i<=1;$i++):
		     $larguraColuna=90;
        	 if($i>0):
 			     $larguraColuna=89;//so a primeira coluna é mais larga
			     $alinhamento="C"; //so a primeira coluna é alinhada a esquerda
			 endif;
			 $pdf->Cell($larguraColuna,$alturaLinhaResultados,utf8_decode($vetorResultados[$L][$i]),1,0,$alinhamento,$hachuriado);
		 endfor;//PERCORRE AS COLUNAS
		 //coloca uma linhas extra para identificar as outras determinacoes
	 	 if($L==6):
		     $cotaLinha+=$alturaLinhaResultados;
		     $pdf->setXY($margem,$cotaLinha);
	         $pdf->Cell($larguraUtil,$alturaLinhaResultados,utf8_decode("OUTRAS DETERMINAÇÕES"),1,0,'C',1);
		 endif;
	 endfor;//PERCORRE AS LINHAS


	 

	 
     ########################################observacoes###########################
	 //retangulo das observacoes
     //retangulo e risco vertical entre contaminantes e observacoes
	 $cotaLinha+=$alturaLinhaResultados;
	 $posicao=110;
	 $cota4=$cotaLinha;
	 $alturaRetangulo=43;//era53
     $pdf->Rect($margemEsquerda,$cota4,$larguraUtil,$alturaRetangulo); //retangulo das oustras enmentes por numero	 

	 
     //$pdf->Line($posicao,$cota4,$posicao,$cota4+$alturaRetangulo);//LINHA QUE SEPARAVA CONTAMINANTES DE OBSERVACOES

 	 $observacoesDocumento[1]="OBSERVAÇÕES:";
     //aqui passa as observacoes tal como estao no documento	 
	 $observacoesDocumento[2]=$vetorDadosDocumento[19];
	 $observacoesDocumento[3]=$vetorDadosDocumento[20];
	 $observacoesDocumento[4]=$vetorDadosDocumento[21];
	 $observacoesDocumento[5]=$vetorDadosDocumento[22];
	 $observacoesDocumento[6]=$vetorDadosDocumento[23];
	 $observacoesDocumento[7]=$vetorDadosDocumento[24];
	 $observacoesDocumento[8]=$vetorDadosDocumento[25];
	 $observacoesDocumento[9]=$vetorDadosDocumento[26];
	 
	 
	 
	 
	 //aqui tem que rebaixar as observacoes pois pode ser que alguem tenha colocado algo la e deve preservar
     if($linhasOutrasDeterminacoes>0)://so vai fazer alguma coisa se realmente tiver outras determinacoes
        //COMECA EMPURRANDO PARA BAIXO OS CONTEUDOS 
	    for($rebaixar=9-$linhasOutrasDeterminacoes;$rebaixar>=2;$rebaixar--)://comeca na linha 9 desprezando as ultimas
		  $observacoesDocumento[$rebaixar+$linhasOutrasDeterminacoes]= $observacoesDocumento[$rebaixar];		
		endfor; 
	 endif;	
	 
	 //aqui coloca as determinacoes nos espacos criados pelo rebaixamento 
     for($j=1;$j<=$linhasOutrasDeterminacoes;$j++):
	     $observacoesDocumento[1+$j]=$vetorOutrasDeteminacoes[$j];
     endfor;
   

	 //aqui inverte a data
	 $data=$vetorCabecalho[17];
	 $dia=substr($data,8,2);
	 $mes=substr($data,5,2);
	 $ano=substr($data,0,4);//ano   1951-02-28
	 $dataBoletim=$dia."/".$mes."/".$ano;
	 $cotaLinha=$cota4;


	
     ###########OUTRAS ESPECIES CONTAMINANTES########################################
     $contaminantesDocumento=$objetocalculo->acharContaminantesDocumento($idDoc);
	 //$contaminantesDocumento[2]="dois";
	 //$contaminantesDocumento[3]="tres";
	 //$contaminantesDocumento[4]="quatro";
	 
     $cotaDOSN=$cotaLinha;//ele incrementa a cota linha e deixa espaco para imprimir logo a seguir os contaminantes	      
     $pdf->setXY($margem,$cotaLinha);
     //se o primeiro  item estver vazio ele nem siquer imprime a esperessao  OUTRAS ESPECIES CONTAMINANTES
	 $pdf->setXY($margem,$cota4);
     $pdf->Cell(179,$larguraDaLinha,utf8_decode('DETERMINAÇÃO DE OUTRAS ESPECIES POR NÚMERO:'),1,1,'L',1);	
	 $pdf->SetFont('Times','I',8);
	 $cotaLinha=$cota4;
	 
	 
	 
	 $linhasObservacoes=sizeof($observacoesDocumento);
	 $linhasContaminantes=sizeof($contaminantesDocumento);
	 //aqui vai um casuismo
	 //como a dimicron so usa imprimir uma amostra no informe
	 //nao precisa informar o numero da amostra que vem justamente
	 //na primeira linha, entao comeco a imprimir a partir da segunda linha
     //no informa dimicron, se nao tem contaminantes ele deve colocar -o-o-o-o-, porem se tem coloca o texto e nao fecha no final
     if($linhasContaminantes==0): 
		 	 $cotaLinha+=$larguraDaLinha;
	         $pdf->SetXY($margem,$cotaLinha);
			 $pdf->Cell(179,$larguraDaLinha,'-O-O-O-O-O-O-O-O-O-O-O-O',1,1,'L');	
	 else:
         //se nao for igual a zero ou seja se achou contaminantes entao coloca letra italico e descarrega a matriz 
	     $pdf->SetFont('Times','I',8);
	     for($L=2;$L<=10;$L++):
		      $conteudo=$contaminantesDocumento[$L];
			  if(substr($conteudo,0,6)=='-O-O-O')$pdf->SetFont('Times','',8);
			  if(strlen($conteudo)>2 && substr($conteudo,0,6)!='-O-O-O' ):
			 	 $cotaLinha+=$larguraDaLinha;
				 $alturaRetangulo+=$larguraDaLinha;
		         $pdf->SetXY($margem,$cotaLinha);
				 $pdf->Cell(179,$larguraDaLinha,utf8_decode($conteudo),0,1,'L');//aqui imprime contaminantes	
			  endif;
		 endfor;//percorre todo o vetor contaminantes
     endif; 
	 //aqui coloco simplemente -N- se nao foi feito pureza, conforem solicitacao deimicron em 071222
     if($valorDaPureza=='-N-'):
	   $pdf->SetXY($margem,$cotaLinha+5);
	   $pdf->Cell(179,$larguraDaLinha,'-N-',0,1,'L');	
     endif;
	 
     //fim da aimpressao de contaminantes



     ///////////////IMPRIME OBSERVACOES, DEPOIS DE CONTAMINANTES//////////////////
	 //aqui vai imprimir observacoes
     //$cotaLinha+=$larguraDaLinha;
	 
	 $pdf->setXY($margem,$cota4+40);
     $cotaLinha=$cota4+40;
	 $pdf->SetFont('Times','',8);
	 $pdf->Cell(179,5,utf8_decode('OBSERVAÇÕES:'  ),1,1,'L',1);	
	 $pdf->Rect($margemEsquerda,$cota4+45,$larguraUtil,30); //retangulo das observacoes	 

     if($linhasObservacoes==0): 
		 	 $cotaLinha+=$larguraDaLinha;
	         $pdf->SetXY($margem,$cotaLinha);
			 $pdf->Cell(179,$larguraDaLinha,'-O-O-O-O-O-O-O-O-O-O-O-O',0,1,'L');	
	 else:

	     for($L=2;$L<=10;$L++):
		      $conteudo=$observacoesDocumento[$L];
			  if(strlen($conteudo)>2 && substr($conteudo,0,6)!='-O-O-O' ):
			 	 $cotaLinha+=$larguraDaLinha*0.92;
				 $alturaRetangulo+=$larguraDaLinha;
		         $pdf->SetXY($margem,$cotaLinha+1);
				 $pdf->Cell(179,$larguraDaLinha,utf8_decode($conteudo),0,1,'L');	
			  endif;
		 endfor;//percorre todo o vetor observacoes
         //imprime-O-
		 $pdf->SetXY($margem,$cotaLinha+5);
		 $pdf->Cell(179,$larguraDaLinha,'-O-O-O-O-O-O-O-O-O-O-O-O',0,1,'L');	
	
     endif; 




	 //////////////////
	 //VAI ACESSAR A CLASSE E PREPARA O NOME DO ARQUIVO
	 $viaAtualDigital=$sessao->getVar('controle1');
	
	 if($digital=='SIM'):
	 	$objetoEncriptar=new encriptar();
		$amostraEncriptada=$objetoEncriptar->certificado($idDoc.$viaAtualDigital);
        $conteudoEncriptado=$idDoc.$viaAtualDigital;
	 endif;
	 //$sessao->setVar('digital',"xxx");//precisa limpar a sessao senao mesmo que nao marcar a sessao continua com valor=SIM
	 
	 
	 /////////////////////
	 
	 $numeroVias=$sessao->getVar('controle2');
	 $viaFinal=$numeroVias;
	 if($numeroVias>1):
	     $viaAtual=$sessao->getVar('controle3');
		 $viaAtual++;
	     $sessao->setVar('controle3',$viaAtual);
	     //$totalVias=$sessao->getVar('controle10');
	     $totalVias=$sessao->getVar('controle2');
		 $viaFinal=$viaAtual.'ª via';;
     else:
         $viaFinal=$sessao->getVar('controle1');
     endif;	
	 //se estou mandando fazer mais de uma via pela opção mesclado entao prioriza o mesclado
     if($viasMescladas>1):	 
		 $viaAtual=$mescladas;
		 $viaFinal=$mescladas.'ª via';
     endif;	 

	 
	 if($digital=='SIM'):
	 	//$objetoEncriptar=new encriptar();
	 	//$amostraEncriptada=$objetoEncriptar->certificado($idDoc.$viaAtualDigital);
     	//$conteudoEncriptado=$idDoc.$viaFinal;
	 endif; 
	 
	 
	 
	 
	 
	 
     if(strlen($amostraEncriptada)>1):
	     $pdf->SetXY($margem,$cotaLinha+4);
		 $pdf->Cell(85,3,utf8_decode('Para imprimir este certificado digital acesse: www.gugeler.net Link Certificado digital.'),'0',1,'L');
	     $pdf->SetXY($margem,$cotaLinha+8);
		 $pdf->Cell(85,3,utf8_decode($amostraEncriptada),1,1,'L');
     endif;




	 
	 ########################################ASSINATURAs######################################
	 //terminou de imprimir resultado agora vi para observacoes tecico e assinatura
     $cota4=248;
     $cota7=$cota4;
	 $cotaLinha=$cota7;

     $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
	 //assinatura////////////
	 $idTecnico=$vetorTecnico[5];
	 $assinaturaAtivada=$vetorTecnico[4];
     if($nivel=='PRODUTOR') $assinaturaAtivada='SIM';	 
	 if($assinaturaAtivada=='SIM'):
		 $caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
		 $pdf->Image($caminhoFinalTecnico,110,$cota7+12,61,14,'JPG');
     endif;
	 
	 /////////////
	 $cota7=251;
   	 $pdf->SetFont('Times','',8);
	
	
if($cliente=='DMICRON CUIABA'):
	 
	 //imprime notas
	 $pdf->Rect($margemEsquerda, $cota7,90,20);
     $pdf->setXY(10,$cota7);
     $pdf->SetXY($margemEsquerda,$cota7);
	 $pdf->Cell(100,3,utf8_decode("NOTAS:"),0,1,'L');	//
     $pdf->SetXY($margemEsquerda,$cota7+3);
	 $pdf->Cell(100,3,utf8_decode("1-A identificação da amostra é de exclusiva responsabilidade do remetente."),0,1,'L');	//
     $pdf->SetXY($margemEsquerda,$cota7+6);
	 $pdf->Cell(100,3,utf8_decode("2-A presente análise tem seu valor restrito à amostra entregue ao laboratório."),0,1,'L');	//
	 
	 
     $pdf->SetXY($margemEsquerda,$cota7+9);
	 $textoAspas1='3-Métodos de análise segundo a RAS em vigor e o livro:';
	 $pdf->Cell(100,3,utf8_decode($textoAspas1),0,1,'L');
	 
	 $pdf->SetXY($margemEsquerda,$cota7+12);
	 $textoAspas2='"Vigor de sementes: conceitos e testes.  Londrina, PR: ABRATES"';
	 $pdf->Cell(100,3,utf8_decode($textoAspas2),0,1,'L');	//
	 
	 //$pdf->Cell(100,3,utf8_decode("3-Métodos de análise segundo a RAS em vigor e o livro ""Vigor de sementes: conceitos e testes."),0,1,'L');	//
     $pdf->SetXY($margemEsquerda,$cota7+15);
	 $pdf->Cell(100,3,utf8_decode(" para classificação de vigor pelo teste de tetrazólio."),0,1,'L');	//
	endif;

	 
     //data e assinatura nomne tecnico	 
	 //local e data
	 $pdf->SetFont('Times','',8);
 	 $base[1][3]=$vetorCabecalho[6].", ".$vetorDadosDocumento[27];//local e data
	 $base[2][3]="";
	 $base[3][3]="";
	 $base[4][3]=$vetorTecnico[1];
	 $base[5][3]="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];
	 $base[6][3]=$vetorTecnico[4];
	 $base[7][3]=$vetorTecnico[7];//responsavel tecnico funcao	
	 
	 //if(substr($cliente,0,4)=="DIMI")://DIMICRION= CRUZ ALTA
     $pdf->SetXY($margemEsquerda+100,$cota7);
	 $pdf->Cell(90,5,utf8_decode($base[1][3]),0,1,'L');	//local e data na extrema direita
	 //else:
	    //$pdf->SetXY($margemEsquerda+10,$cota7);
		//$pdf->Cell(90,5,utf8_decode($base[1][3]),0,1,'L');	//local e data na parte central para conchal
	 //endif;	
     $pdf->Line(110,$cota7+20,180,$cota7+20);//linha separadora horizontal
	 $pdf->SetXY(110,$cota7+20);$pdf->Cell(90,5,utf8_decode($base[4][3]),0,1,'C');	
	 $pdf->SetXY(110,$cota7+23);$pdf->Cell(90,5,utf8_decode($base[5][3]),0,1,'C');	
	 $pdf->SetXY(110,$cota7+26);$pdf->Cell(90,5,utf8_decode($base[7][3]),0,1,'C');//funcao do rt	
	 //$pdf->SetXY(100,$cota7+25);$pdf->Cell(90,5,utf8_decode($base[6][3]),0,1,'C');	//ESTE ITEM É ASSINATURA SIM;NAO	 
	
	 //numero da via
	 $cota7+=27;
	 $cotaVia=$cota7;
	 $pdf->setXY(180,$cotaVia);
	 $pdf->SetFont('Times','B',12);
	 //$pdf->Cell(20,5,utf8_decode($viaFinal),0,1,'C');	
	 //serve para ver o que foi encriptador exempolo LAUDO  ID 34 2ªVIA
	 //$pdf->setXY(10,$cotaVia);
	 //$pdf->Cell(80,5,utf8_decode($conteudoEncriptado),0,1,'C');	
	endfor;//aqui varre para que saia as vias mescladas num so arquivo  
	ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema

if($amostraEncriptada!=""):
   $pdf->Output("uploads/".$amostraEncriptada.".pdf","F");//funciona
endif;	
	
	
	
$pdf->Output("arquivo.pdf","I");
		
?>
